Arkiv for kategorien ‘Norsk’

fjerne norske tegn

Friday, 18. December 2009

Jeg synkroniserer filer mellom Windows, Linux og OSX med Unison. Unisons utvikler sier siste versjon skal takle forskjellige tegnsett, men jeg fikk alikevel problemer med norske tegn. Løsningen var for meg å fjerne alle norske tegn i filnavn og katalognavn i mappen jeg synkroniserer. For å gjøre dette laget jeg et lite bash-skript. Dette må kjøres på Linux eller OSX, evt. under cygwin på Windows. Koden følger under.


#!/bin/bash

[ $? -ne 1 ] || { echo "usage: $0 <dir>"; exit 1; }

[ -d $1 ] || { echo "usage: $0 <dir>"; exit 2; }

which find &>/dev/null || { echo "could not find command 'find'"; exit 3; }
which egrep &>/dev/null || { echo "could not find command 'egrep'"; exit 4; }
which sed &>/dev/null || { echo "could not find command 'sed'"; exit 5; }

redo=1
until [ $redo -eq 0 ]; do
  redo=0
  find $1 -type d -print | \
  while read dir; do
    echo "$dir" | egrep -qi 'æ|ø|å' && {
      newdir=`echo "$dir" | sed -e 's/æ/ae/g' -e 's/ø/o/g' -e 's/å/aa/g' -e 's/Æ/AE/g' -e 's/Ø/O/g' -e 's/Å/AA/g'`
      mv -v "$dir" "$newdir" 2>/dev/null || redo=1
    }
  done
  find $1 -type f -print | \
  while read fn; do
    echo "$fn" | egrep -qi 'æ|ø|å' && {
      newfn=`echo "$fn" | sed -e 's/æ/ae/g' -e 's/ø/o/g' -e 's/å/aa/g' -e 's/Æ/AE/g' -e 's/Ø/O/g' -e 's/Å/AA/g'`
      mv -v "$fn" "$newfn" 2>/dev/null || redo=1
    }
  done
done

Husk at du må gjøre filen kjørbar med kommandoen

chmod u+x filnavn

Norges beste orddelingsfeil

Friday, 18. September 2009

Denne bare må sees!

Reklame: Meld deg inn i Astronomer mot orddeling nå!

særskrivingsundersøkelse

Friday, 12. June 2009

Dagbladet har i dag en sak som varmer mitt AMO-hjerte. Artikkelen anbefales både for de som vet hva særskriving er og de som ikke vet det. Skulle gjerne skrevet en lang artikkel om dette selv, men den har godgjort seg i bakhodet mitt siden jeg laget denne bloggen, så den kan nok ligge der litt til;-)

Hilsen AMO-sjef 3722 (er egentlig skandale at jeg ikke har lavere nummer, måtte registrere meg tre ganger)

havørn

Thursday, 21. May 2009

Gutta bak tjeld.uib.no har nå endelig fått opp havorn.uib.no. Kult!

vinkjeller

Tuesday, 21. October 2008


De få heldige (jada, jeg vet jeg drar gud og hvermann ned dit) som har sett vinkjelleren min vet at den ikke ser noe som helst ut som dette, men drømmen er der! Likte spesielt godt den på bildet. Moderne, gjennomført og ikke bare en vinkjeller, men også et sted å sitte og pludre med et glass eller to. Slenger man inn en stressless også så har man det perfekte avslappingsrom (men det er mulig jeg heller vil ha den i et varmt bibliotek..).

rundkjøringer 2

Monday, 22. September 2008

Da har altså riktig det jeg har sagt i mine tidligere innlegg om kjøreregler i rundkjøringer.

Kvalitetssikret, åpent og gratis nettleksikon på norsk

Tuesday, 16. September 2008

Bilde av Alexandre Duret-Lutz

Bilde av Alexandre Duret-Lutz


Dette er den største gladnyheten for det norske skolevesen og elever og studenter i hele Norge. Kunnskapsforlaget Aschehoug og Gyldendal har bestemt seg for å gi bort Store norske lekiskon i en åpen og fri kvalitetssikret nettvariant. Man kan til og med melde seg som ekspert for å hjelpe til med kvalitetssikringen!

garpegenitiv

Tuesday, 12. August 2008

Maria kjenner meg godt, og vet at jeg er opptatt av korrekthet og norskhet i norsk språkbruk. Det var derfor til hennes fornøyelse å finne det hun mente var dårlig eller ukorrekt norsk på et skilt utenfor mitt kontor. (Hun gledet seg faktisk hele ferien min til å påpeke dette etter min retur). Skiltet lyder omtrent slik; NN sin residens. Dette utløste selvfølgelig en nysgjerrighet hos meg, og Språkrådets nettsider ble hurtig funnet fram. Der kunne vi lære litt av hvert om garpegenitiven og dens bruk og antatte opprinnelse. Påstanden om at dette ikke er godt norsk stod fortsatt da ved lag, men det er utvistelig at dette er en mye brukt måte å beskrive eierskap. Kunnskapsforlagets Blå ordbok forteller ikke direkte om denne bruken og det er derfor vanskelig å avgjøre om bruken er god eller ikke, lovlig eller ikke. I all den tid jeg er stril og bor i Bergen, og nasjonalsangen her ikke lyder likt som i Marias hjemtrakter (joda, vi synger begge med stolthet) velger jeg å være vrang eller bestemt (alt etter hvem man spør) og stå på bruken av garpegenitiv i norsk. Og all den tid Kunnskapsforlaget lister garpegenitiv som et gyldig norsk bokmålsord, med eksempelet Per sin ball påstår jeg også at det er Godt Norsk[TM]. Videre er jeg oppatt av at språket vårt utvikler seg, og jeg er tilhenger av å tilpasse skriftspråket til norsk tale (nei, engelske låneord er ikke noe jeg ønsker så lenge gode norske oversettelser finnes).

30-tallet i farger!

Tuesday, 12. August 2008

Kodachrome

Kodachrome

Jeg har som kjent blitt mer og mer interessert i fotografering og leser jevnlig Fotopia. Her om dagen hadde de en lenke til noen fargebilder fra 30-tallet. Ja, du leste riktig! Ganske artig å se, anbefales!

søvn

Friday, 18. July 2008

Hva er det med meg og søvn for tiden? Jeg har sovet lite de siste to nettene og så egentlig frem til å legge meg tidlig. Ikke la jeg meg tidlig (med mindre man regner 23 som tidlig), ikke fikk jeg sove når jeg la meg, og jeg våkner halv fem og får ikke sove mer? Nå skal det sies at jeg fikk litt å tenke på i går, i negativ forstand (noen fortalte meg mer enn jeg hadde lyst til å vite), og jeg drømte idealløsningen for et problem i natt. Problemet er bare at det ville ødelagt livet til mange! Mareritt? Vel, det hadde sammenheng med samtalen jeg hadde i går. Måtte bare få ut litt damp, men kan og vil ikke spre selve informasjonen, så lavt vil jeg ikke synke. Nå skal jeg hoppe i dusjen og gå på jobb!